
QGIS Application - Bug report #8847

Some Settings -> Customisation entries blank

2013-10-15 03:36 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee: Radim Blazek

Category: GUI

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 17530

Description

Per attached, some of the things in the Settings -> Customisation menu items have no text entries saying what they are.

I haven't done an exhaustive check for what is/isn't blank.

History

#1 - 2013-10-16 10:41 PM - Larry Shaffer

- Assignee set to Radim Blazek

- File issue-8847-patch.diff added

The empty entries you are referring to are menu separator actions, which are generally added with QMenu::addSeparator() and not given object names or

text labels.

The attached patch strips those from the menu actions tree, since toggling them does not appear to actually work, i.e. not saved or applied with

customization settings.

However, a better approach may be to go through the code and capture the addSeparator() functions to a variable and then set the object's name. Then,

maybe the separators can be part of customization as well, with maybe the text label generated in Customization as always 'Separator'. A bit of work,

though, and may not always be consistently done in the future.

I've assigned Radim to the issue. Maybe he can recommend a better approach.

#2 - 2013-10-16 11:55 PM - Radim Blazek

I have no better ideas. Larry, please push your patch directly to master.

#3 - 2013-10-17 11:43 AM - Larry Shaffer

- Resolution set to fixed

- Status changed from Open to Closed

Should be fixed with commit commit:ddd4dae

Please reopen issue if needed
